> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an asset

> Deletes an asset. This action cannot be undone.



## OpenAPI

````yaml DELETE /assets/{asset_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /assets/{asset_id}:
    delete:
      summary: Delete an asset
      description: Deletes an asset. This action cannot be undone.
      operationId: delete-asset
      parameters:
        - name: asset_id
          in: path
          required: true
          description: Asset friendly ID (e.g., asset_abc123def456)
          schema:
            type: string
      responses:
        '204':
          description: '204'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: Record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````